ros-humble-camera-calibration (3.0.8-1jammy) jammy; urgency=high

  * Replace OpenCV version string comparison with semver. (backport #1087 <https://github.com/ros-perception/image_pipeline/issues/1087>) (#1089 <https://github.com/ros-perception/image_pipeline/issues/1089>)
  * fix: cv2.aruco.interpolateCornersCharuco is deprecated (backport #979 <https://github.com/ros-perception/image_pipeline/issues/979>) (#1090 <https://github.com/ros-perception/image_pipeline/issues/1090>)
  * Contributors: mergify[bot]

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 21 Apr 2025 22:00:00 -0000

ros-humble-camera-calibration (3.0.7-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Feb 2025 23:00:00 -0000

ros-humble-camera-calibration (3.0.6-1jammy) jammy; urgency=high

  * [backport] use correct synchronous service call (#1006 <https://github.com/ros-perception/image_pipeline/issues/1006>)
    Backport from https://github.com/ros-perception/image_pipeline/pull/792
    to fix https://github.com/ros-perception/image_pipeline/pull/838
    Co-authored-by: Christian Rauch <mailto:Rauch.Christian@gmx.de>
  * Contributors: Balint Rozgonyi

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Aug 2024 22:00:00 -0000

ros-humble-camera-calibration (3.0.5-1jammy) jammy; urgency=high

  * Change camera info message to lower case (backport #1005 <https://github.com/ros-perception/image_pipeline/issues/1005>) (#1008 <https://github.com/ros-perception/image_pipeline/issues/1008>)
    Change camera info message to lower case since message type had been
    change in rolling and humble.
    [](https://github.com/ros2/common_interfaces/blob/rolling/sensor_msgs/msg/CameraInfo.msg)<hr>This
    is an automatic backport of pull request #1005 <https://github.com/ros-perception/image_pipeline/issues/1005> done by
    [Mergify](https://mergify.com).
    ---------
    Co-authored-by: SFhmichael <mailto:146928033+SFhmichael@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * [backport humble] Fix spelling error for cv2.aruco.DICT from 6x6_50 to 7x7_1000 (#961 <https://github.com/ros-perception/image_pipeline/issues/961>) (#1004 <https://github.com/ros-perception/image_pipeline/issues/1004>)
    Backport #961 <https://github.com/ros-perception/image_pipeline/issues/961> fix to humble
    Co-authored-by: Vishal Balaji <mailto:vishalvichu45@gmail.com>
    Co-authored-by: Vishal Balaji <mailto:vishal.balaji@schanzer-racing.de>
  * Contributors: Balint Rozgonyi, mergify[bot]

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jul 2024 22:00:00 -0000

ros-humble-camera-calibration (3.0.4-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 29 Feb 2024 23:00:00 -0000

ros-humble-camera-calibration (3.0.3-1jammy) jammy; urgency=high

  * [backport humble] ROS 2: Added more aruco dicts, fixed aruco linerror bug (#873 <https://github.com/ros-perception/image_pipeline/issues/873>) (#889 <https://github.com/ros-perception/image_pipeline/issues/889>)
    backport #873 <https://github.com/ros-perception/image_pipeline/issues/873>
  * [backport humble] ROS 2: Fixing thrown Exception in camerachecker.py (#871 <https://github.com/ros-perception/image_pipeline/issues/871>) (#887 <https://github.com/ros-perception/image_pipeline/issues/887>)
    backport #871 <https://github.com/ros-perception/image_pipeline/issues/871>
  * Contributors: Alejandro Hernández Cordero

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 23 Jan 2022 23:00:00 -0000

ros-humble-camera-calibration (3.0.2-1jammy) jammy; urgency=high

  * Fix QoS incompatibility camera_calibration ROS2
  * Contributors: Michal Wojcik

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 16 Jan 2022 23:00:00 -0000

ros-humble-camera-calibration (3.0.0-1jammy) jammy; urgency=high

  * Some small fixes noticed while reviewing.
  * fix premature camera model change in camera_calibration
  * Fix shebang lines for noetic python3
  * Update fisheye distortion model definition
  * Fix calibration yaml formatting (#580 <https://github.com/ros-perception/image_pipeline/issues/580>) (#585 <https://github.com/ros-perception/image_pipeline/issues/585>)
  * updated linear_error function to handle partial board views (#561 <https://github.com/ros-perception/image_pipeline/issues/561>)
  * Fix missing detected checkerboard points (#558 <https://github.com/ros-perception/image_pipeline/issues/558>)
  * ChArUco board, Noetic (#549 <https://github.com/ros-perception/image_pipeline/issues/549>)
  * fix #503 <https://github.com/ros-perception/image_pipeline/issues/503>: (#545 <https://github.com/ros-perception/image_pipeline/issues/545>)
  * Minimal Noetic (#530 <https://github.com/ros-perception/image_pipeline/issues/530>)
  * Apply #509 <https://github.com/ros-perception/image_pipeline/issues/509> and #526 <https://github.com/ros-perception/image_pipeline/issues/526> to Noetic Branch (#528 <https://github.com/ros-perception/image_pipeline/issues/528>)
  * Add Fisheye calibration tool (#440 <https://github.com/ros-perception/image_pipeline/issues/440>)
  * camera_calibration: Improve YAML formatting, make config dumping methods static (#438 <https://github.com/ros-perception/image_pipeline/issues/438>)
  * camera_calibration: Fix all-zero distortion coeffs returned for a rational_polynomial model (#433 <https://github.com/ros-perception/image_pipeline/issues/433>)
  * Make sure 'calibrate' button works even if not receiving images anymore
  * Add a comment
  * Replace deque with a modified Queue, add --queue-size param
  * Remove print statement
  * Cosmetic changes
  * Add max-chessboard-speed option to allow more accurate calibration of rolling shutter cameras.
  * revert back
  * added missing imports
  * update pytest.ini
  * fixes to pass tests
  * rebase change
  * implemented fisheye mono and stereo calibration based on the melodic branch
  * trimmed whitespace at line endings
  * Update camera_calibration setup.cfg to use underscores (#688 <https://github.com/ros-perception/image_pipeline/issues/688>)
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Fixed crash when rosargs are given (#597 <https://github.com/ros-perception/image_pipeline/issues/597>)
  * Contributors: Chris Lalancette, David Torres Ocaña, DavidTorresOcana, Gabor Soros, Jacob Perron, John Stechschulte, Joshua Whitley, Martin Valgur, Matthijs den Toom, Michael Carroll, Patrick Musau, Photon, Spiros Evangelatos, Victor Dubois, jaiveersinghNV, soeroesg

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 22:00:00 -0000

ros-humble-camera-calibration (2.2.1-1jammy) jammy; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * Add pytest.ini to fix warning (#584 <https://github.com/ros-perception/image_pipeline/issues/584>)
    Fixes the following warning:
    Warning: The 'junit_family' default value will change to 'xunit2' in pytest 6.0.
    Add 'junit_family=xunit1' to your pytest.ini file to keep the current format in future versions of pytest and silence this warning.
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Jacob Perron, Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 22:00:00 -0000

ros-humble-camera-calibration (2.2.0-1jammy) jammy; urgency=high

  * Removed basestring (no longer exists in new python 3 version). (#554 <https://github.com/ros-perception/image_pipeline/issues/554>)
    Fixes #551 <https://github.com/ros-perception/image_pipeline/issues/551>
  * Initial ROS2 commit.
  * Contributors: Michael Carroll, PfeifferMicha

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 22:00:00 -0000

ros-humble-camera-calibration (1.12.23-1jammy) jammy; urgency=high

  * camera_checker: Ensure cols + rows are in correct order (#319 <https://github.com/ros-perception/image_pipeline/issues/319>)
    Without this commit, specifying a smaller column than row size lead to
    huge reported errors:
    ```
    $ rosrun camera_calibration cameracheck.py --size 6x7 --square 0.0495
    Linearity RMS Error: 13.545 Pixels      Reprojection RMS Error: 22.766 Pixels
    $ rosrun camera_calibration cameracheck.py --size 7x6 --square 0.0495
    Linearity RMS Error: 0.092 Pixels      Reprojection RMS Error: 0.083 Pixels
    ```
    This commit switches columns and rows around if necessary.
  * Contributors: Martin Günther

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-humble-camera-calibration (1.12.22-1jammy) jammy; urgency=high

  * Changed flags CV_LOAD_IMAGE_COLOR by IMREAD_COLOR to adapt to Opencv3. (#252 <https://github.com/ros-perception/image_pipeline/issues/252>)
  * Fixed stereo calibration problem with chessboard with the same number of rows and cols by rotating the corners to same direction.
  * Contributors: jbosch

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-humble-camera-calibration (1.12.21-1jammy) jammy; urgency=high

  * re-add the calibration nodes but now using the Python modules.
    Fixes #298 <https://github.com/ros-perception/image_pipeline/issues/298>
  * Move nodes to Python module.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-humble-camera-calibration (1.12.20-1jammy) jammy; urgency=high

  * properly save bytes buffer as such
    This is useful for Python 3 and fixes #256 <https://github.com/ros-perception/image_pipeline/issues/256>.
  * Get tests slightly looser.
    OpenCV 3.2 gives slightly different results apparently.
  * Use floor division where necessary. (#247 <https://github.com/ros-perception/image_pipeline/issues/247>)
  * Fix and Improve Camera Calibration Checker Node (#254 <https://github.com/ros-perception/image_pipeline/issues/254>)
    * Fix according to calibrator.py API
    * Add approximate to cameracheck
  * Force first corner off chessboard to be uppler left.
    Fixes #140 <https://github.com/ros-perception/image_pipeline/issues/140>
  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * During stereo calibration check that the number of corners detected in the left and right images are the same. This fixes ros-perception/image_pipeline#225 <https://github.com/ros-perception/image_pipeline/issues/225>
  * Contributors: Leonard Gerard, Martin Peris, Vincent Rabaud, hgaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-humble-camera-calibration (1.12.19-1jammy) jammy; urgency=high

  * Fix array check in camerachecky.py
    This closes #205 <https://github.com/ros-perception/image_pipeline/issues/205>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000

ros-humble-camera-calibration (1.12.18-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 22:00:00 -0000

ros-humble-camera-calibration (1.12.17-1jammy) jammy; urgency=high

  * fix typo np -> numpy
  * fix failing tests
  * Contributors: Shingo Kitagawa, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-humble-camera-calibration (1.12.16-1jammy) jammy; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 23:00:00 -0000

ros-humble-camera-calibration (1.12.15-1jammy) jammy; urgency=high

  * better 16 handling in mkgray
    This re-uses #150 <https://github.com/ros-perception/image_pipeline/issues/150> and therefore closes #150 <https://github.com/ros-perception/image_pipeline/issues/150>
  * fix OpenCV2 compatibility
  * fix tests with OpenCV3
  * [Calibrator]: add yaml file with calibration data in output
  * Contributors: Vincent Rabaud, sambrose

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-humble-camera-calibration (1.12.14-1jammy) jammy; urgency=high

  * remove camera_hammer and install Python nodes properly
    camera_hammer was just a test for camera info, nothing to do with
    calibration. Plus the test was basic.
  * Correct three errors that prevented the node to work properly.
  * Contributors: Filippo Basso, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 21 Jul 2015 22:00:00 -0000

ros-humble-camera-calibration (1.12.13-1jammy) jammy; urgency=high

  * replace Queue by deque of fixed size for simplicity
    That is a potential fix for #112 <https://github.com/ros-perception/image_pipeline/issues/112>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 22:00:00 -0000

ros-humble-camera-calibration (1.12.12-1jammy) jammy; urgency=high

  * try to improve #112 <https://github.com/ros-perception/image_pipeline/issues/112>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Dec 2014 23:00:00 -0000

ros-humble-camera-calibration (1.12.11-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 25 Oct 2014 22:00:00 -0000

ros-humble-camera-calibration (1.12.10-1jammy) jammy; urgency=high

  * Update calibrator.py
    bugfix: stereo calibrator crashed after the signature of the method for the computation of the epipolar error changed but the function call was not updated
  * Contributors: Volker Grabe

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 27 Sep 2014 22:00:00 -0000

ros-humble-camera-calibration (1.12.9-1jammy) jammy; urgency=high

  * fix bad Python
  * only analyze the latest image
    fixes #97 <https://github.com/ros-perception/image_pipeline/issues/97>
  * flips width and height during resize to give correct aspect ratio
  * Contributors: Russell Toris, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-humble-camera-calibration (1.12.8-1jammy) jammy; urgency=high

  * install scripts in the local bin (they are now rosrun-able again)
    fixes #93 <https://github.com/ros-perception/image_pipeline/issues/93>
  * fix default Constructor for OpenCV flags
    this does not change anything in practice as the flag is set by the node.
    It just fixes the test.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 Aug 2014 22:00:00 -0000

ros-humble-camera-calibration (1.12.6-1jammy) jammy; urgency=high

  * make sure the GUI is started in its processing thread and fix a typo
    This fully fixes #85 <https://github.com/ros-perception/image_pipeline/issues/85>
  * fix bad call to save an image
  * have display be in its own thread
    that could be a fix for #85 <https://github.com/ros-perception/image_pipeline/issues/85>
  * fix bad usage of Numpy
    fixes #89 <https://github.com/ros-perception/image_pipeline/issues/89>
  * fix asymmetric circle calibration
    fixes #35 <https://github.com/ros-perception/image_pipeline/issues/35>
  * add more tests
  * improve unittests to include all patterns
  * install Python scripts properly
    and fixes #86 <https://github.com/ros-perception/image_pipeline/issues/86>
  * fix typo that leads to segfault
    fixes #84 <https://github.com/ros-perception/image_pipeline/issues/84>
  * also print self.report() on calibrate ... allows to use the params without having to commit them (e.g. for extrensic calibration between to cameras not used as stereo pair)
  * fixes #76 <https://github.com/ros-perception/image_pipeline/issues/76>
    Move Python approximate time synchronizer to ros_comm
  * remove all trace of cv in Python (use cv2)
  * remove deprecated file (as mentioned in its help)
  * fixes #25 <https://github.com/ros-perception/image_pipeline/issues/25>
    This is just removing deprecated options that were around since diamondback
  * fixes #74 <https://github.com/ros-perception/image_pipeline/issues/74>
    calibrator.py is now using the cv2 only API when using cv_bridge.
    The API got changed too but it seems to only be used internally.
  * Contributors: Vincent Rabaud, ahb

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-humble-camera-calibration (1.12.5-1jammy) jammy; urgency=high

  * Fix #68 <https://github.com/ros-perception/image_pipeline/issues/68>: StringIO issues in calibrator.py
  * fix architecture independent
  * Contributors: Miquel Massot, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 10 May 2014 22:00:00 -0000

ros-humble-camera-calibration (1.12.4-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 22:00:00 -0000

ros-humble-camera-calibration (1.12.3-1jammy) jammy; urgency=high

  * camera_calibration: Fix Python import order
  * Contributors: Scott K Logan

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Apr 2014 22:00:00 -0000

ros-humble-camera-calibration (1.12.2-1jammy) jammy; urgency=high

  * Fixes a typo on stereo camera info service calls
    Script works after correcting the call names.
  * Contributors: JoonasMelin

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-humble-camera-calibration (1.11.4-1jammy) jammy; urgency=high

  * add visualization during calibration and several calibration flags (#48)

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Nov 2013 13:10:55 +0100


